List of all members
clan::SoundOutput Class Reference
clanSound Audio Mixing

SoundOutput interface in ClanLib. More...

`#include <soundoutput.h>`

## Public Member Functions
Construction
| SoundOutput ()
| Constructs a null instance. More...
| SoundOutput (int mixing_frequency, int latency=50)
| Constructs a SoundOutput. More...
| SoundOutput (const SoundOutput_Description &desc)
| Constructs a SoundOutput. More...
virtual | ~SoundOutput ()
Attributes
bool | is_null () const
| Returns true if this object is invalid. More...
void | throw_if_null () const
| Throw an exception if this object is invalid. More...
const std::string & | get_name () const
| Name of the output device. More...
int | get_mixing_frequency () const
| Returns the mixing frequency for the sound output device. More...
int | get_mixing_latency () const
| Returns the mixing latency in milliseconds. More...
float | get_global_volume () const
| Returns the main volume of the sound output. More...
float | get_global_pan () const
| Returns the main panning position of the sound output. More...
Operations
void | stop_all ()
| Stops all sample playbacks on the sound output. More...
void | set_global_volume (float volume)
| Sets the main/mixer volume on the sound output. More...
void | set_global_pan (float pan)
| Sets the main panning position on the sound output. More...
void | add_filter (SoundFilter &filter)
| Adds the sound filter to the sound output. More...
void | remove_filter (SoundFilter &filter)
| Remove the sound filter from the session. More...

## Implementation
class | SoundBuffer
class | Sound
class | SoundBuffer_Session

## Detailed Description

SoundOutput interface in ClanLib.

SoundOutput is the interface to a sound output device. It is used to control the main mixer volume and other global settings.

The documentation for this class was generated from the following file:

- soundoutput.h